Bug 602324 (CVE-2010-3450) - CVE-2010-3450 OpenOffice.org: directory traversal flaws in handling of XSLT jar filter descriptions and OXT extension files
Summary: CVE-2010-3450 OpenOffice.org: directory traversal flaws in handling of XSLT j...
Status: CLOSED ERRATA
Alias: CVE-2010-3450
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,source=redhat,reporte...
Keywords: Security
Depends On: 642175 642176 642184 642185 642192 642196 642200 642201 804532
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-09 15:35 UTC by Jan Lieskovsky
Modified: 2019-06-08 13:01 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-07-29 14:45:41 UTC


Attachments (Terms of Use)
final upstream patch (8.22 KB, patch)
2010-08-10 10:40 UTC, Caolan McNamara
no flags Details | Diff
To RHEL-3 backported above OOo patch from Caolan McNamara (5.14 KB, patch)
2010-08-10 13:48 UTC, Jan Lieskovsky
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0181 normal SHIPPED_LIVE Important: openoffice.org and openoffice.org2 security update 2011-01-28 12:56:23 UTC
Red Hat Product Errata RHSA-2011:0182 normal SHIPPED_LIVE Important: openoffice.org security update 2011-01-28 13:02:13 UTC
Red Hat Product Errata RHSA-2011:0183 normal SHIPPED_LIVE Important: openoffice.org security and bug fix update 2011-01-28 15:24:30 UTC

Description Jan Lieskovsky 2010-06-09 15:35:28 UTC
Originally Marc Schoenefeld found a directory traversal flaw
in the way OpenOffice.org prior to v3.2.1 handled XSLT jar
filter description files installation. If a local user was
tricked to install a specially-crafted OOo XSLT jar filter
description file, it could allow remote attackers to create
or overwrite arbitrary files belonging to local user or,
potentially, execute arbitrary code via a .. (dot dot)
in an entry in a XSLT filter description file.

Later, OpenOffice.org upstream identified the same deficiency
in the way OOs Extension Manager performed installation of
OpenOffice.org Extension (*.OXT) files.

References:
  [1] http://extensions.services.openoffice.org/en/resources
  [2] http://wiki.services.openoffice.org/wiki/Documentation/DevGuide/Extensions/Extensions

Comment 11 Jan Lieskovsky 2010-08-10 16:44:01 UTC
This issue affects the versions of the openoffice.org package, as shipped
with Red Hat Enterprise Linux 3 and 4.

This issue affects the version of the openoffice.org-core package, as
shipped with Red Hat Enterprise Linux 5.

--

This issue affects the versions of the openoffice.org-core package, as
shipped with Fedora release of 12 and 13.

Comment 17 Huzaifa S. Sidhpurwala 2011-01-27 03:47:48 UTC
Public via:
http://www.openoffice.org/security/cves/CVE-2010-3450.html

Comment 18 errata-xmlrpc 2011-01-28 12:56:48 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:0181 https://rhn.redhat.com/errata/RHSA-2011-0181.html

Comment 19 errata-xmlrpc 2011-01-28 13:02:31 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2011:0182 https://rhn.redhat.com/errata/RHSA-2011-0182.html

Comment 20 errata-xmlrpc 2011-01-28 15:24:56 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0183 https://rhn.redhat.com/errata/RHSA-2011-0183.html


Note You need to log in before you can comment on or make changes to this bug.